<%@ Page Language="C#" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>Email Suggest</title>
	<style type="text/css">
		body, input { font-family: Verdana; font-size: 12px; }
		.completionListClass { border: solid 1px #CCCCCC; cursor: default; }
		.itemClass { background-color: white; }
		.highlightedItemClass { background-color: #d2eaf6; }
	</style>
</head>
<body>
	<form id="form1" runat="server" style="text-align:center;">
		<atlas:ScriptManager ID="ScriptManager1" runat="server" />
		<input id="searchTextBox" type="text" style="width:300px;"/>
	</form>
	
	<div id="completionList"></div>
	
	<div id="itemTemplate" style="padding:2px;">
		<span id="lblEncodedEmail"></span>
	</div>
	
	<script type="text/xml-script">
		<page xmlns:jeffz="http://www.jeffzlive.net">
			<references>
				<add src="JeffzAutoCompleteBehavior.js" />
			</references>
			<components>
				<textBox id="searchTextBox">
					<behaviors>
						<jeffz:autoComplete 
							completionList="completionList"
							serviceURL="EmailSuggestService.asmx"
							serviceMethod="GetEmailSuggest"
							minimumPrefixLength="1"
							completionSetCount="15"
							completionInterval="500"
							completionListCssClass="completionListClass"
							itemCssClass="itemClass"
							highlightedItemCssClass="highlightedItemClass"
							textProperty="Email"
						>
							<itemTemplate>
								<template layoutElement="itemTemplate">
									<label id="lblEncodedEmail" htmlEncode="false">
										<bindings>
											<binding dataPath="EncodedEmailSuggest" property="text" />
										</bindings>
									</label>
								</template>
							</itemTemplate>
						</jeffz:autoComplete>
					</behaviors>
				</textBox>
			</components>
		</page>
	</script>
</body>
</html>
