<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Search Suggest</title>
	<style type="text/css">
		body, input { font-family:Arial; font-size:12px; }
		.completionListClass { border: solid 1px #CCCCCC; cursor:default; }
		.itemClass { background-color:white; }
		.itemClass .keyword { color:black; }
		.itemClass .result { color:green; }
		.highlightedItemClass { background-color:blue; }
		.highlightedItemClass .keyword { color:white; }
		.highlightedItemClass .result { color:white; }
	</style>
</head>
<body>
	<form id="Form1" action="" runat="server" style="text-align:center;">
		<atlas:ScriptManager ID="ScriptManager1" runat="server" />
		<input id="searchTextBox" type="text" style="width:300px;"/>
	</form>
	
	<div id="completionList"></div>
	
	<div id="itemTemplate" style="padding:3px; clear:both; height:13px;">
		<div id="lblKeyword" class="keyword" style="float:left; width:200px; overflow:hidden;"></div>
		<div style="font-size:10px; float:right;" class="result">
			<span id="lblResult"></span>
			<span>&nbsp;results</span>
		</div>
	</div>

	<script type="text/xml-script">
		<page xmlns:jeffz="http://www.jeffzlive.net">
			<references>
				<add src="JeffzAutoCompleteBehavior.js" />
			</references>
			<components>
				<textBox id="searchTextBox">
					<behaviors>
						<jeffz:autoComplete 
							completionList="completionList"
							serviceURL="SearchSuggestService.asmx"
							serviceMethod="GetSearchWords"
							minimumPrefixLength="2"
							completionSetCount="15"
							completionInterval="500"
							completionListCssClass="completionListClass"
							itemCssClass="itemClass"
							highlightedItemCssClass="highlightedItemClass"
							textProperty="Keyword"
						>
							<itemTemplate>
								<template layoutElement="itemTemplate">
									<label id="lblKeyword">
										<bindings>
											<binding dataPath="Keyword" property="text" />
										</bindings>
									</label>
									<label id="lblResult">
										<bindings>
											<binding dataPath="Result" property="text" />
										</bindings>
									</label>
								</template>
							</itemTemplate>
						</jeffz:autoComplete>
					</behaviors>
				</textBox>
			</components>
		</page>
	</script>
</body>
</html>
